summaryrefslogtreecommitdiffstats
path: root/network/quvi
diff options
context:
space:
mode:
author crocket <crockabiscuit@gmail.com>2012-12-26 10:31:52 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-26 21:36:47 +0100
commiteb6c79a7246a9afca15cf198d52467d25dd17764 (patch)
tree64f3774a44f81dd7d4562e1f8bcf67ee37485e11 /network/quvi
parentc9aa8056f97676115a6317af9a3e84b46d601e7e (diff)
downloadslackbuilds-eb6c79a7246a9afca15cf198d52467d25dd17764.tar.gz
slackbuilds-eb6c79a7246a9afca15cf198d52467d25dd17764.tar.xz
network/quvi: Updated for version 0.4.2.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/quvi')
-rw-r--r--network/quvi/quvi.SlackBuild25
-rw-r--r--network/quvi/quvi.info10
-rw-r--r--network/quvi/slack-desc12
3 files changed, 22 insertions, 25 deletions
diff --git a/network/quvi/quvi.SlackBuild b/network/quvi/quvi.SlackBuild
index 00917310e5..4608fe8092 100644
--- a/network/quvi/quvi.SlackBuild
+++ b/network/quvi/quvi.SlackBuild
@@ -2,11 +2,12 @@
# Slackware build script for quvi
-# Written by crocket (crockabiscuit@gmail.com)
+# Made by trebol 2012/12/13
+# Modified by crocket <crockabiscuit@gmail.com
PRGNAM=quvi
-VERSION=${VERSION:-0.2.19}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.4.2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -36,6 +37,8 @@ else
LIBDIRSUFFIX=""
fi
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
set -e
rm -rf $PKG
@@ -59,25 +62,20 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --infodir=/usr/info \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --enable-quvi \
- --enable-nsfw \
- --disable-static \
- --enable-todo \
- --with-soup \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING ChangeLog INSTALL NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -85,4 +83,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-
diff --git a/network/quvi/quvi.info b/network/quvi/quvi.info
index 6ab399f2bd..d656fbf937 100644
--- a/network/quvi/quvi.info
+++ b/network/quvi/quvi.info
@@ -1,10 +1,10 @@
PRGNAM="quvi"
-VERSION="0.2.19"
-HOMEPAGE="http://quvi.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/quvi/quvi-0.2.19.tar.xz"
-MD5SUM="9c2dd18b27d484845ef30a8fac72b630"
+VERSION="0.4.2"
+HOMEPAGE="http://quvi.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/quvi/quvi-0.4.2.tar.xz"
+MD5SUM="66cb0dda70f2900c58c4b87b2d76007b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="lua"
+REQUIRES="libquvi"
MAINTAINER="crocket"
EMAIL="crockabiscuit@gmail.com"
diff --git a/network/quvi/slack-desc b/network/quvi/slack-desc
index c9e78a1860..3a5085a4f6 100644
--- a/network/quvi/slack-desc
+++ b/network/quvi/slack-desc
@@ -1,9 +1,9 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
quvi: quvi (video download link parser)
@@ -13,7 +13,7 @@ quvi: supports Youtube and other video websites. libquvi is a library for
quvi: parsing video download links with C API. It is written in C, and
quvi: intended to be a cross-platform library.
quvi:
-quvi: Website : http://quvi.sourceforge.net/
+quvi: homepage: http://quvi.sourceforge.net
quvi:
quvi:
quvi: